<template>
    <Popup ref="pop" top="20px" left="calc(100% - 600px)" :title="title" @close="close(true)" width="300px" :maxHeight="'700px'" @cancel="close(false)">
         <div class="menuBox">
            <el-form ref="form"   label-width="80px">
              <el-form-item label="线路:">
               
              </el-form-item>
              <el-form-item label="线路:">
          
              </el-form-item>
              <el-form-item>
                <el-button size="mini" >开始漫游</el-button>
                <el-button size="mini" >结束漫游</el-button>
              </el-form-item>
            </el-form>
         </div>
    </Popup>
</template>

<script>
import Popup from '@/components/Tool/Popup.vue';
import {
    zhangzitou_selectAllLine
} from '@/api/mapView/map.js'
export default {
    name: 'location',
    components: { Popup },
    data() {
        return {
            title: '线路漫游',
        };
    },
   
 
    methods: {
        // 关闭弹窗
        close(isCloseBtn, removeLayer = true) {
            //   removeLayer && this.removeImageLayer();
            // 重置data值
            Object.assign(this.$data, this.$options.data());
            !isCloseBtn && this.$refs.pop.close();
        },
        // 打开弹窗
        open() {
            this.close(true);
            this.$refs.pop.open();
            this.romaLineStart();
        },
        romaLineStart(){
            zhangzitou_selectAllLine({  
                limit: 100000,
                page: 1
            }).then((response)=>{
                console.log(response);
            })
        },
    },
};
</script>

<style></style>
